#include "mbed.h"
#include "SDFileSystem.h"
#include "hx8340bs.h"



 
int main() {
    printf("Hello Stinky World!\c\n");    
 
    //mkdir("/sd/mydir", 0777);
    
    SDFileSystem sd(p11, p12, p13, p8, "sd"); // the pinout on the mbed Cool Components workshop board
    unsigned char bitmap[100];
    unsigned int bytesRead;
    int i=0;
    FILE *fp = fopen("/sd/mydir/rose.bmp", "r");
   
    if(fp == NULL) {
        error("Could not open file\c\n");
    }
    //fprintf(fp, "Hello fun SD Card World!\c\n");
    fread(fp,(void*)bitmap,99,&bytesRead);
    while(i<100)
    {
        printf("%x\n",bitmap[i]);
        i++;
    }
    printf("%d\n",bytesRead);
    fclose(fp); 
    HX8340S_LCD lcd( p9, p14, p13, p11);
    lcd.Initialize();
    lcd.ClearScreen();
    lcd.FillScreen(COLOR_BLUE); 
    lcd.Print( "Hello, World!", CENTER, 25 );
    lcd.DrawBitmap(0,0,(bitmap_t*)bitmap,1);
    
 
    printf("Goodbye World!\c\n");
}